package com.shaderyan.neo.wifi.fix.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_1{

public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
//BA.debugLineNum = 2;BA.debugLine="AutoScaleAll"[1/General script]
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
//BA.debugLineNum = 3;BA.debugLine="Panel1.Height = 14%y"[1/General script]
views.get("panel1").vw.setHeight((int)((14d / 100 * height)));
//BA.debugLineNum = 4;BA.debugLine="Panel3.Height = 25%y"[1/General script]
views.get("panel3").vw.setHeight((int)((25d / 100 * height)));
//BA.debugLineNum = 5;BA.debugLine="pnlColors.Height = 50%y"[1/General script]
views.get("pnlcolors").vw.setHeight((int)((50d / 100 * height)));
//BA.debugLineNum = 6;BA.debugLine="pnlOverlay.Height = 50%y"[1/General script]
views.get("pnloverlay").vw.setHeight((int)((50d / 100 * height)));
//BA.debugLineNum = 7;BA.debugLine="Panel2.Height = 11%y"[1/General script]
views.get("panel2").vw.setHeight((int)((11d / 100 * height)));
//BA.debugLineNum = 9;BA.debugLine="Panel1.Width = 100%x"[1/General script]
views.get("panel1").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 10;BA.debugLine="Panel2.Width = 100%x"[1/General script]
views.get("panel2").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 11;BA.debugLine="Panel3.Width = 100%x"[1/General script]
views.get("panel3").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 12;BA.debugLine="pnlColors.Width = 100%x"[1/General script]
views.get("pnlcolors").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 13;BA.debugLine="pnlOverlay.Width = 100%x"[1/General script]
views.get("pnloverlay").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 15;BA.debugLine="Panel1.Top = 0%y"[1/General script]
views.get("panel1").vw.setTop((int)((0d / 100 * height)));
//BA.debugLineNum = 16;BA.debugLine="Panel3.Top = Panel1.Bottom"[1/General script]
views.get("panel3").vw.setTop((int)((views.get("panel1").vw.getTop() + views.get("panel1").vw.getHeight())));
//BA.debugLineNum = 17;BA.debugLine="pnlColors.Top = Panel3.Bottom"[1/General script]
views.get("pnlcolors").vw.setTop((int)((views.get("panel3").vw.getTop() + views.get("panel3").vw.getHeight())));
//BA.debugLineNum = 18;BA.debugLine="pnlOverlay.Top = Panel3.Bottom"[1/General script]
views.get("pnloverlay").vw.setTop((int)((views.get("panel3").vw.getTop() + views.get("panel3").vw.getHeight())));
//BA.debugLineNum = 19;BA.debugLine="Panel2.Top = pnlColors.Bottom"[1/General script]
views.get("panel2").vw.setTop((int)((views.get("pnlcolors").vw.getTop() + views.get("pnlcolors").vw.getHeight())));
//BA.debugLineNum = 21;BA.debugLine="pnlColors.HorizontalCenter = 50%x"[1/General script]
views.get("pnlcolors").vw.setLeft((int)((50d / 100 * width) - (views.get("pnlcolors").vw.getWidth() / 2)));
//BA.debugLineNum = 22;BA.debugLine="pnlOverlay.HorizontalCenter = pnlColors.HorizontalCenter"[1/General script]
views.get("pnloverlay").vw.setLeft((int)((views.get("pnlcolors").vw.getLeft() + views.get("pnlcolors").vw.getWidth()/2) - (views.get("pnloverlay").vw.getWidth() / 2)));
//BA.debugLineNum = 24;BA.debugLine="btnConnect.Left = 2%x"[1/General script]
views.get("btnconnect").vw.setLeft((int)((2d / 100 * width)));
//BA.debugLineNum = 25;BA.debugLine="btnConnect.Width = 23%x"[1/General script]
views.get("btnconnect").vw.setWidth((int)((23d / 100 * width)));
//BA.debugLineNum = 27;BA.debugLine="SeekBarSpeed.Left = btnConnect.Right + 1%x"[1/General script]
views.get("seekbarspeed").vw.setLeft((int)((views.get("btnconnect").vw.getLeft() + views.get("btnconnect").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 28;BA.debugLine="SeekBarSpeed.Width = 70%x"[1/General script]
views.get("seekbarspeed").vw.setWidth((int)((70d / 100 * width)));
//BA.debugLineNum = 29;BA.debugLine="SeekBarSpeed.Right = 97%x"[1/General script]
views.get("seekbarspeed").vw.setLeft((int)((97d / 100 * width) - (views.get("seekbarspeed").vw.getWidth())));
//BA.debugLineNum = 31;BA.debugLine="etRed.Left=2%x"[1/General script]
views.get("etred").vw.setLeft((int)((2d / 100 * width)));
//BA.debugLineNum = 32;BA.debugLine="etRed.Width = 23%x"[1/General script]
views.get("etred").vw.setWidth((int)((23d / 100 * width)));
//BA.debugLineNum = 34;BA.debugLine="etGreen.Left = etRed.Right + 1%x"[1/General script]
views.get("etgreen").vw.setLeft((int)((views.get("etred").vw.getLeft() + views.get("etred").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 35;BA.debugLine="etGreen.Width = 23%x"[1/General script]
views.get("etgreen").vw.setWidth((int)((23d / 100 * width)));
//BA.debugLineNum = 37;BA.debugLine="etBlue.Left = etGreen.Right + 1%x"[1/General script]
views.get("etblue").vw.setLeft((int)((views.get("etgreen").vw.getLeft() + views.get("etgreen").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 38;BA.debugLine="etBlue.Width = 23%x"[1/General script]
views.get("etblue").vw.setWidth((int)((23d / 100 * width)));
//BA.debugLineNum = 40;BA.debugLine="btnDo.Left = etBlue.Right + 1%x"[1/General script]
views.get("btndo").vw.setLeft((int)((views.get("etblue").vw.getLeft() + views.get("etblue").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 41;BA.debugLine="btnDo.Width = 23%x"[1/General script]
views.get("btndo").vw.setWidth((int)((23d / 100 * width)));
//BA.debugLineNum = 43;BA.debugLine="btnConnect.Top = 1%y"[1/General script]
views.get("btnconnect").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 44;BA.debugLine="etRed.Top = 1%y"[1/General script]
views.get("etred").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 45;BA.debugLine="etGreen.Top = 1%y"[1/General script]
views.get("etgreen").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 46;BA.debugLine="etBlue.Top = 1%y"[1/General script]
views.get("etblue").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 47;BA.debugLine="btnDo.Top = 1%y"[1/General script]
views.get("btndo").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 50;BA.debugLine="lblSpeed.Top = SeekBarSpeed.Bottom"[1/General script]
views.get("lblspeed").vw.setTop((int)((views.get("seekbarspeed").vw.getTop() + views.get("seekbarspeed").vw.getHeight())));
//BA.debugLineNum = 51;BA.debugLine="lblSpeed.Left = SeekBarSpeed.Left"[1/General script]
views.get("lblspeed").vw.setLeft((int)((views.get("seekbarspeed").vw.getLeft())));
//BA.debugLineNum = 53;BA.debugLine="btnSpeed.Top = SeekBarSpeed.Bottom"[1/General script]
views.get("btnspeed").vw.setTop((int)((views.get("seekbarspeed").vw.getTop() + views.get("seekbarspeed").vw.getHeight())));
//BA.debugLineNum = 54;BA.debugLine="btnSpeed.Right = SeekBarSpeed.Right"[1/General script]
views.get("btnspeed").vw.setLeft((int)((views.get("seekbarspeed").vw.getLeft() + views.get("seekbarspeed").vw.getWidth()) - (views.get("btnspeed").vw.getWidth())));
//BA.debugLineNum = 56;BA.debugLine="etSpeed.Top = SeekBarSpeed.Bottom"[1/General script]
views.get("etspeed").vw.setTop((int)((views.get("seekbarspeed").vw.getTop() + views.get("seekbarspeed").vw.getHeight())));
//BA.debugLineNum = 57;BA.debugLine="etSpeed.Left = lblSpeed.Right+1%x"[1/General script]
views.get("etspeed").vw.setLeft((int)((views.get("lblspeed").vw.getLeft() + views.get("lblspeed").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 58;BA.debugLine="etSpeed.Right = btnSpeed.Left -1%x"[1/General script]
views.get("etspeed").vw.setLeft((int)((views.get("btnspeed").vw.getLeft())-(1d / 100 * width) - (views.get("etspeed").vw.getWidth())));
//BA.debugLineNum = 60;BA.debugLine="Panel5.Left = 0%x"[1/General script]
views.get("panel5").vw.setLeft((int)((0d / 100 * width)));
//BA.debugLineNum = 61;BA.debugLine="Panel5.Width = 59.5%x"[1/General script]
views.get("panel5").vw.setWidth((int)((59.5d / 100 * width)));
//BA.debugLineNum = 63;BA.debugLine="Panel4.Left = Panel5.Right + .5%x"[1/General script]
views.get("panel4").vw.setLeft((int)((views.get("panel5").vw.getLeft() + views.get("panel5").vw.getWidth())+(.5d / 100 * width)));
//BA.debugLineNum = 64;BA.debugLine="Panel4.Width = 40%x"[1/General script]
views.get("panel4").vw.setWidth((int)((40d / 100 * width)));
//BA.debugLineNum = 70;BA.debugLine="Panel4.Height = Panel3.Height"[1/General script]
views.get("panel4").vw.setHeight((int)((views.get("panel3").vw.getHeight())));
//BA.debugLineNum = 71;BA.debugLine="Panel5.Height = Panel3.Height"[1/General script]
views.get("panel5").vw.setHeight((int)((views.get("panel3").vw.getHeight())));
//BA.debugLineNum = 73;BA.debugLine="sp_e1.Top = 6%y"[1/General script]
views.get("sp_e1").vw.setTop((int)((6d / 100 * height)));
//BA.debugLineNum = 74;BA.debugLine="sp_e2.Top = 6%y"[1/General script]
views.get("sp_e2").vw.setTop((int)((6d / 100 * height)));
//BA.debugLineNum = 75;BA.debugLine="sp_e3.Top = 6%y"[1/General script]
views.get("sp_e3").vw.setTop((int)((6d / 100 * height)));
//BA.debugLineNum = 77;BA.debugLine="sp_e1.Left = 1%x"[1/General script]
views.get("sp_e1").vw.setLeft((int)((1d / 100 * width)));
//BA.debugLineNum = 78;BA.debugLine="sp_e1.Width = 13%x"[1/General script]
views.get("sp_e1").vw.setWidth((int)((13d / 100 * width)));
//BA.debugLineNum = 80;BA.debugLine="sp_e2.Left = sp_e1.Right + 1%x"[1/General script]
views.get("sp_e2").vw.setLeft((int)((views.get("sp_e1").vw.getLeft() + views.get("sp_e1").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 81;BA.debugLine="sp_e2.Width = 13%x"[1/General script]
views.get("sp_e2").vw.setWidth((int)((13d / 100 * width)));
//BA.debugLineNum = 83;BA.debugLine="sp_e3.Left = sp_e2.Right + 1%x"[1/General script]
views.get("sp_e3").vw.setLeft((int)((views.get("sp_e2").vw.getLeft() + views.get("sp_e2").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 84;BA.debugLine="sp_e3.Width = 13%x"[1/General script]
views.get("sp_e3").vw.setWidth((int)((13d / 100 * width)));
//BA.debugLineNum = 86;BA.debugLine="etEffect1.Top = sp_e1.Bottom + 2%y"[1/General script]
views.get("eteffect1").vw.setTop((int)((views.get("sp_e1").vw.getTop() + views.get("sp_e1").vw.getHeight())+(2d / 100 * height)));
//BA.debugLineNum = 87;BA.debugLine="etEffect2.Top = sp_e2.Bottom + 2%y"[1/General script]
views.get("eteffect2").vw.setTop((int)((views.get("sp_e2").vw.getTop() + views.get("sp_e2").vw.getHeight())+(2d / 100 * height)));
//BA.debugLineNum = 88;BA.debugLine="etEffect3.Top = sp_e3.Bottom + 2%y"[1/General script]
views.get("eteffect3").vw.setTop((int)((views.get("sp_e3").vw.getTop() + views.get("sp_e3").vw.getHeight())+(2d / 100 * height)));
//BA.debugLineNum = 90;BA.debugLine="etEffect1.Left = sp_e1.Left"[1/General script]
views.get("eteffect1").vw.setLeft((int)((views.get("sp_e1").vw.getLeft())));
//BA.debugLineNum = 91;BA.debugLine="etEffect2.Left = sp_e2.Left"[1/General script]
views.get("eteffect2").vw.setLeft((int)((views.get("sp_e2").vw.getLeft())));
//BA.debugLineNum = 92;BA.debugLine="etEffect3.Left = sp_e3.Left"[1/General script]
views.get("eteffect3").vw.setLeft((int)((views.get("sp_e3").vw.getLeft())));
//BA.debugLineNum = 94;BA.debugLine="etEffect1.Width = sp_e1.Width"[1/General script]
views.get("eteffect1").vw.setWidth((int)((views.get("sp_e1").vw.getWidth())));
//BA.debugLineNum = 95;BA.debugLine="etEffect2.Width = sp_e2.Width"[1/General script]
views.get("eteffect2").vw.setWidth((int)((views.get("sp_e2").vw.getWidth())));
//BA.debugLineNum = 96;BA.debugLine="etEffect3.Width = sp_e3.Width"[1/General script]
views.get("eteffect3").vw.setWidth((int)((views.get("sp_e3").vw.getWidth())));
//BA.debugLineNum = 98;BA.debugLine="btnAuto.Top = 2%y"[1/General script]
views.get("btnauto").vw.setTop((int)((2d / 100 * height)));
//BA.debugLineNum = 99;BA.debugLine="btnAuto.Height = sp_e1.Height + etEffect1.Height + 2%y"[1/General script]
views.get("btnauto").vw.setHeight((int)((views.get("sp_e1").vw.getHeight())+(views.get("eteffect1").vw.getHeight())+(2d / 100 * height)));
//BA.debugLineNum = 100;BA.debugLine="btnAuto.Left = sp_e3.Right + .5%x"[1/General script]
views.get("btnauto").vw.setLeft((int)((views.get("sp_e3").vw.getLeft() + views.get("sp_e3").vw.getWidth())+(.5d / 100 * width)));
//BA.debugLineNum = 103;BA.debugLine="lbl_e1.Top = 0%y"[1/General script]
views.get("lbl_e1").vw.setTop((int)((0d / 100 * height)));
//BA.debugLineNum = 104;BA.debugLine="lbl_e2.Top = 0%y"[1/General script]
views.get("lbl_e2").vw.setTop((int)((0d / 100 * height)));
//BA.debugLineNum = 105;BA.debugLine="lbl_e3.Top = 0%y"[1/General script]
views.get("lbl_e3").vw.setTop((int)((0d / 100 * height)));
//BA.debugLineNum = 107;BA.debugLine="lbl_e1.Left = sp_e1.Left"[1/General script]
views.get("lbl_e1").vw.setLeft((int)((views.get("sp_e1").vw.getLeft())));
//BA.debugLineNum = 108;BA.debugLine="lbl_e2.Left = sp_e2.Left"[1/General script]
views.get("lbl_e2").vw.setLeft((int)((views.get("sp_e2").vw.getLeft())));
//BA.debugLineNum = 109;BA.debugLine="lbl_e3.Left = sp_e3.Left"[1/General script]
views.get("lbl_e3").vw.setLeft((int)((views.get("sp_e3").vw.getLeft())));
//BA.debugLineNum = 111;BA.debugLine="lbl_e1.Width = sp_e1.Width"[1/General script]
views.get("lbl_e1").vw.setWidth((int)((views.get("sp_e1").vw.getWidth())));
//BA.debugLineNum = 112;BA.debugLine="lbl_e2.Width = sp_e2.Width"[1/General script]
views.get("lbl_e2").vw.setWidth((int)((views.get("sp_e2").vw.getWidth())));
//BA.debugLineNum = 113;BA.debugLine="lbl_e3.Width = sp_e3.Width"[1/General script]
views.get("lbl_e3").vw.setWidth((int)((views.get("sp_e3").vw.getWidth())));
//BA.debugLineNum = 117;BA.debugLine="lblCount.Left = 1%x"[1/General script]
views.get("lblcount").vw.setLeft((int)((1d / 100 * width)));
//BA.debugLineNum = 118;BA.debugLine="lblCount.Top = 1%y"[1/General script]
views.get("lblcount").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 119;BA.debugLine="lblCount.Width = 18%x"[1/General script]
views.get("lblcount").vw.setWidth((int)((18d / 100 * width)));
//BA.debugLineNum = 121;BA.debugLine="sp_count.Left = 1%x"[1/General script]
views.get("sp_count").vw.setLeft((int)((1d / 100 * width)));
//BA.debugLineNum = 122;BA.debugLine="sp_count.Top = lblCount.Bottom + 1%y"[1/General script]
views.get("sp_count").vw.setTop((int)((views.get("lblcount").vw.getTop() + views.get("lblcount").vw.getHeight())+(1d / 100 * height)));
//BA.debugLineNum = 123;BA.debugLine="sp_count.Width = 18%x"[1/General script]
views.get("sp_count").vw.setWidth((int)((18d / 100 * width)));
//BA.debugLineNum = 125;BA.debugLine="lblEffect.Left = lblCount.Right + 1%x"[1/General script]
views.get("lbleffect").vw.setLeft((int)((views.get("lblcount").vw.getLeft() + views.get("lblcount").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 126;BA.debugLine="lblEffect.Top = 1%y"[1/General script]
views.get("lbleffect").vw.setTop((int)((1d / 100 * height)));
//BA.debugLineNum = 127;BA.debugLine="lblEffect.Width = 18%x"[1/General script]
views.get("lbleffect").vw.setWidth((int)((18d / 100 * width)));
//BA.debugLineNum = 129;BA.debugLine="sp_effect.Left = sp_count.Right + 1%x"[1/General script]
views.get("sp_effect").vw.setLeft((int)((views.get("sp_count").vw.getLeft() + views.get("sp_count").vw.getWidth())+(1d / 100 * width)));
//BA.debugLineNum = 130;BA.debugLine="sp_effect.Top = lblEffect.Bottom + 1%y"[1/General script]
views.get("sp_effect").vw.setTop((int)((views.get("lbleffect").vw.getTop() + views.get("lbleffect").vw.getHeight())+(1d / 100 * height)));
//BA.debugLineNum = 131;BA.debugLine="sp_effect.Width = 18%x"[1/General script]
views.get("sp_effect").vw.setWidth((int)((18d / 100 * width)));
//BA.debugLineNum = 134;BA.debugLine="lbl_count.Left = lblCount.Left"[1/General script]
views.get("lbl_count").vw.setLeft((int)((views.get("lblcount").vw.getLeft())));
//BA.debugLineNum = 135;BA.debugLine="lbl_count.Width = lblCount.Width"[1/General script]
views.get("lbl_count").vw.setWidth((int)((views.get("lblcount").vw.getWidth())));
//BA.debugLineNum = 137;BA.debugLine="lbl_effect.Left = lblEffect.Left"[1/General script]
views.get("lbl_effect").vw.setLeft((int)((views.get("lbleffect").vw.getLeft())));
//BA.debugLineNum = 138;BA.debugLine="lbl_effect.Width = lblEffect.Width"[1/General script]
views.get("lbl_effect").vw.setWidth((int)((views.get("lbleffect").vw.getWidth())));
//BA.debugLineNum = 140;BA.debugLine="lbl_count.Top = sp_count.Bottom + .5%y"[1/General script]
views.get("lbl_count").vw.setTop((int)((views.get("sp_count").vw.getTop() + views.get("sp_count").vw.getHeight())+(.5d / 100 * height)));
//BA.debugLineNum = 141;BA.debugLine="lbl_effect.Top = sp_effect.Bottom + .5%y"[1/General script]
views.get("lbl_effect").vw.setTop((int)((views.get("sp_effect").vw.getTop() + views.get("sp_effect").vw.getHeight())+(.5d / 100 * height)));

}
}